Changeset 7585 for cows/trunk/setup.py


Ignore:
Timestamp:
11/10/10 13:25:25 (10 years ago)
Author:
astephen
Message:

Upgraded to be compatible with:

  • python 2.6
  • pylons 1.0
File:
1 edited

Legend:

Unmodified
Added
Removed
  • cows/trunk/setup.py

    r6576 r7585  
    1010setup( 
    1111    name='cows', 
    12     version='1.5.1', 
     12    version='1.6.0', 
    1313     
    1414    description='CEDA OGC Web Services Framework (COWS).  A framework for creatining integrated OGC web services using Pylons', 
     
    1919    # We only list dependencies that we are confident will easy_install without 
    2020    # a hitch here. 
    21     install_requires=['Pylons==0.9.6.1', 'genshi', 'numpy==1.3.0', 'cdat_lite', 'csml', 
    22                       'matplotlib>=0.98'], 
     21    install_requires=['Pylons>=1.0', 'genshi>=0.6', 'numpy==1.3.0', 'cdat_lite>=5.2', 'csml>=2.7', 
     22                      'pycairo>=1.2', 'Shapely>=1.2.5', 'PIL>=1.1.7',  
     23                      'matplotlib==1.0.0', 'basemap==1.0.0', 
     24                      'mock>=1.7', 'owslib==0.3.1', 'geoplot>=0.4.0', 'image_utils>=1.1.0'], 
    2325    find_links=['http://ndg.nerc.ac.uk/dist'], 
    2426 
Note: See TracChangeset for help on using the changeset viewer.